Subject: bug#19846: 25.0.50; Problem with auto-fill-mode and C mode

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 01 May 2022 12:08:58 +0200

martin rudalics <[email-masked]> writes:

> Here the impact is felt immediately, probably because of the way I build
> Emacs.  Inserting 72 spaces doesn't make much sense anyway, so this is
> not what's bothering me.  But here inserting _any_ character with auto
> filling turned on is a pain.  I'm usually typing 2 to 3 characters ahead
> of what I see on screen.

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

I tried reproducing this, but inserting characters normally in that doc
string seems to be quite speedy.  It's not until I have about two
hundred spaces at the start of the line that I start seeing hangs.

Are you still seeing these issues in recent Emacs versions?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no